#!/usr/local/bin/perl
#
# Orbitus Texture Preprocessor
# Author: Douglas Hawkinson
# Date: 05-06-06
#
# Usage: texProc.pl
#
# OutFile: textures.data
#

my $out_file = "textures.data";
my $self = "texProc.pl";
my $path = "..\\data\\textures\\";
my $dir = '.';
my $uid = 0;

my @files;

opendir ( DH, $dir ) or die "Failed to open $dir: $!";
open OUT, "> $out_file";

@files = grep (!/^((\.)+)|(.svn)|($out_file)|($self)$/, readdir (DH));

foreach (@files) {
  $whole = $_;  

  @temp = split /\./;
  $name = $temp[0];		# name of file/id

  print OUT "$uid $name $path $whole\n";
  ++$uid;
}

print OUT "$uid dummy dummy dummy\n";

closedir DH;
close OUT;